Get suggested task for an issue
curl --request GET \
--url https://api.avidoai.com/v0/issues/{id}/suggested-task \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/issues/{id}/suggested-task"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/issues/{id}/suggested-task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"type": "NORMAL",
"status": "ACTIVE",
"inputExamples": [
"I want to block my credit card"
],
"metadata": {
"customerId": "1",
"priority": "high"
},
"isVerified": false,
"passRate": 66,
"monitoringPassRate": 80,
"evalDefinitions": [
{
"evalDefinition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
},
"topics": [
"456e4567-e89b-12d3-a456-426614174000"
]
},
"config": {
"expected": "<string>"
}
}
],
"traceId": "123e4567-e89b-12d3-a456-426614174000",
"parentId": "456e7890-e89b-12d3-a456-426614174000",
"lastTest": "2024-01-01T00:00:00.000Z",
"simulatedPromptSchema": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"urgency": {
"type": "string",
"enum": [
"low",
"medium",
"high"
]
}
},
"required": [
"intent"
]
},
"topicId": "789e4567-e89b-12d3-a456-426614174000",
"taskSchedule": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z"
},
"synthetic": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
},
"monitoring": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
},
"breakdown": {
"synthetic": [
{
"evalDefinitionId": "a0000000-0000-4000-8000-000000000001",
"evalDefinitionName": "Accuracy",
"metrics": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
}
}
],
"monitoring": [
{
"evalDefinitionId": "a0000000-0000-4000-8000-000000000001",
"evalDefinitionName": "Accuracy",
"metrics": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
}
}
]
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Suggested task not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Issues
Get suggested task for an issue
Retrieves the DRAFT task associated with an issue of type SUGGESTED_TASK. This endpoint only works for issues that have a taskId and are of type SUGGESTED_TASK with a task in DRAFT status.
GET
/
v0
/
issues
/
{id}
/
suggested-task
Get suggested task for an issue
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the issue
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully retrieved suggested task
Successful response containing the suggested task (DRAFT) associated with the issue
A task that represents a specific job-to-be-done by the LLM in the user application.
Show child attributes
Show child attributes
⌘I